Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 915907 (qt5-qtquick1) - Review Request: qt5-qtquick1 - A declarative language for describing user interfaces in Qt5
Summary: Review Request: qt5-qtquick1 - A declarative language for describing user int...
Keywords:
Status: CLOSED ERRATA
Alias: qt5-qtquick1
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: qt5-qtbase, qt5-qtbase-review qt5-qttools qt5-qtwebkit qt5-qtscript
Blocks: kde-reviews qt-reviews
TreeView+ depends on / blocked
 
Reported: 2013-02-26 18:35 UTC by Rex Dieter
Modified: 2013-10-08 17:45 UTC (History)
3 users (show)

Fixed In Version: qt5-qtquick1-5.1.1-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-29 01:30:03 UTC
lkundrak: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rex Dieter 2013-02-26 18:35:30 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtquick1.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtquick1-5.0.1-1.fc18.src.rpm
Description: Qt5 - QtQuick1 component
Fedora Account System Username: rdieter

Comment 1 Rex Dieter 2013-04-11 23:37:56 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtquick1.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtquick1-5.0.2-1.fc18.src.rpm

%changelog
* Thu Apr 11 2013 Rex Dieter <rdieter@fedoraproject.org> 5.0.2-1
- 5.0.2

Comment 2 Rex Dieter 2013-09-06 14:10:12 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtquick1.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtquick1-5.1.1-1.fc19.src.rpm

%changelog
* Tue Sep 03 2013 Rex Dieter <rdieter@fedoraproject.org> 5.1.1-1
- 5.1.1

Comment 3 Rex Dieter 2013-09-06 14:11:53 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5904746

Comment 4 Lubomir Rintel 2013-09-16 12:42:39 UTC
* Name is OK
* Distfile matches upstream
* Versioned correctly, packaging latest version
* Properly licensed for Fedora
* SPEC file clean and legible
* Builds fine in mock
* Provides list sane
* Requires sane
* Filelist makes sense
* Headers and .so files properly packed in -devel subpackage
* Proper compiler flags used
- rpmlint not happy about no documentation
- license text not present

0.) These things from rpmlint probably need attention:

Please check if this is okay:

qt5-qtquick1.x86_64: E: zero-length /usr/lib64/qt5/imports/QtWebKit/plugins.qmltypes

Use double %% here:

qt5-qtquick1.src:45: W: macro-in-comment %{_bindir}


1.) No documentation & License

Please include these in %doc

$ find |grep -i license
./qtquick1-opensource-src-5.1.1/src/doc/src/legal/qtdeclarativelicense.qdoc
./qtquick1-opensource-src-5.1.1/LICENSE.FDL
./qtquick1-opensource-src-5.1.1/LICENSE.LGPL
./qtquick1-opensource-src-5.1.1/LICENSE.GPL

2.) Name, summary and description are way too short

It might be a good idea to turn them into something more descriptive.

Comment 5 Rex Dieter 2013-09-16 15:02:01 UTC
0 looks harmless, afaict.
1. no docs currently get installed, so can skip FDL references 

Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtquick1.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtquick1-5.1.1-2.fc19.src.rpm

%changelog
* Mon Sep 16 2013 Rex Dieter <rdieter@fedoraproject.org> 5.1.1-2
- %%doc LICENSE.GPL LICENSE.LGPL LGPL_EXCEPTION.txt
- escape macros in comments
- better %%description/%%summary

Comment 6 Lubomir Rintel 2013-09-16 16:48:42 UTC
Looks fine now.
Thank you!

APPROVED

Comment 7 Rex Dieter 2013-09-19 15:01:20 UTC
New Package SCM Request
=======================
Package Name: qt5-qtquick1
Short Description: A declarative language for describing user interfaces in Qt5
Owners: rdieter than jreznik kkofler ltinkl rnovacek
Branches: f18 f19 f20 el6
InitialCC:

Comment 8 Gwyn Ciesla 2013-09-19 15:24:11 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2013-09-19 20:08:05 UTC
qt5-qtquick1-5.1.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qt5-qtquick1-5.1.1-2.fc18

Comment 10 Fedora Update System 2013-09-19 20:08:43 UTC
qt5-qtquick1-5.1.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qt5-qtquick1-5.1.1-2.fc19

Comment 11 Fedora Update System 2013-09-19 20:09:31 UTC
qt5-qtquick1-5.1.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qt5-qtquick1-5.1.1-2.fc20

Comment 12 Fedora Update System 2013-09-19 20:29:55 UTC
qt5-qtquick1-5.1.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/qt5-qtquick1-5.1.1-2.el6

Comment 13 Fedora Update System 2013-09-20 18:55:30 UTC
qt5-qtquick1-5.1.1-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 14 Fedora Update System 2013-09-29 01:30:03 UTC
qt5-qtquick1-5.1.1-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 15 Fedora Update System 2013-09-29 01:31:36 UTC
qt5-qtquick1-5.1.1-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 16 Fedora Update System 2013-09-29 01:41:38 UTC
qt5-qtquick1-5.1.1-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 17 Fedora Update System 2013-10-08 17:45:16 UTC
qt5-qtquick1-5.1.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.